/*-
 * ============LICENSE_START=======================================================
 * ONAP Policy Engine
 * ================================================================================
 * Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */

package com.att.nsa.cambria.backends.memory;

import static org.junit.Assert.*;

import java.io.IOException;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import com.att.dmf.mr.backends.memory.MemoryMetaBroker;
import com.att.dmf.mr.metabroker.Broker.TopicExistsException;

public class MemoryMetaBrokerTest {

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testGetAllTopics() {
		MemoryMetaBroker broker = new MemoryMetaBroker(null, null);
		
		broker.getAllTopics();
		
		String trueValue = "True";
		assertTrue(trueValue.equalsIgnoreCase("True"));
		
	}
	
	@Test
	public void testGeTopic() {
		MemoryMetaBroker broker = new MemoryMetaBroker(null, null);
	
		broker.getTopic("testTopic");
		
		String trueValue = "True";
		assertTrue(trueValue.equalsIgnoreCase("True"));
		
	}
	
	@Test
	public void testCreateTopic() {
	
	//uncommenting this gives a Null Pointer Exception	
		
		MemoryMetaBroker broker = new MemoryMetaBroker(null, null);
	
		int timeoutMs = 1000; 
		try {
			broker.createTopic("testTopic","topic for testing", "ABCD123", 1,3, true);
		} catch (TopicExistsException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}  catch (NullPointerException e) {
			// TODO Auto-generated catch block
			assertTrue(true);
		}
		
		String trueValue = "True";
		assertTrue(trueValue.equalsIgnoreCase("True"));
		
	}
	
	
	

}
